# WARNING: xserver_xorg_* package deltas make many assumptions about the layout
# of this file.  Changing the indentation or section order is not advisable.

Section "ServerLayout"
    Identifier	"DIET-PC X11 Server"
    Screen	"Screen (generic)"
    InputDevice	"Mouse"		"CorePointer"
    InputDevice	"Keyboard"	"CoreKeyboard"
EndSection

Section "ServerFlags"
    Option	"AllowNonLocalXvidtune"	"on"
    Option	"BlankTime"	"5"
    Option	"StandbyTime"	"10"
    Option	"SuspendTime"	"20"
    Option	"OffTime"	"40"
    Option	"AllowEmptyInput" "off"
EndSection

Section "Files"
    FontPath	"/usr/lib/X11/fonts/misc/:unscaled"
    FontPath	"/usr/lib/X11/fonts/75dpi/:unscaled"
EndSection

Section "Module"
    Load	"dbe"
    Load	"extmod"
EndSection

Section "InputDevice"
    Identifier	"Keyboard"
    Driver	"kbd"
    Option	"Protocol"	"Standard"
    Option	"AutoRepeat"	"250 30"
    Option	"XkbRules"	"xorg"
    Option	"XkbModel"	"default"
    Option	"XkbLayout"	"us"
EndSection

Section "InputDevice"
    Identifier	"Mouse"
    Driver	"mouse"
    Option	"Protocol"	"IMPS/2"
    Option	"Device"	"/dev/input/mice"
    Option	"Buttons"	"5"
    Option	"ZAxisMapping"	"4 5"
EndSection

Section "Monitor"
    Identifier	"Monitor"
    Option	"DPMS"
# Newer monitors with EDID can advise X of their limits and preferences via the
# DDC protocol, if your graphics card supports this (which it probably does).
# If your system doesn't support DDC-EDID, you should explicitly state the scan
# rate limits of your monitor below, using values from your monitor manual,
# otherwise X will use defaults that will either produce suboptimal resolution
# and/or refresh rates, or freak out your monitor.
#   HorizSync	31-50
#   VertRefresh	60-90
# Explicit modelines are rarely needed.
# Try uncommenting the modelines below if you have a very old monitor.
#    Modeline	"1024x768" 65 1024 1032 1176 1344 768 771 777 806 -hsync -vsync
#    Modeline	"1024x768" 44.9 1024 1048 1208 1264 768 776 784 817 Interlace
#    Modeline	"800x600"  50 800 856 976 1040 600 637 643 666 +hsync +vsync
#    Modeline	"800x600"  40 800 840 968 1056 600 601 605 628 +hsync +vsync
EndSection

# This section is used as a template by xserver_xorg_* packages.  Identifier
# and Driver are anchor points, don't change their values or position.
Section "Device"
    Identifier	"Video Card (generic)"
    Driver	"fbdev"
EndSection

# This section is used as a template by xserver_xorg_* packages.  Identifier
# and Device are anchor points, don't change their values or position.
Section "Screen"
    Identifier	"Screen (generic)"
    Device	"Video Card (generic)"
    Monitor	"Monitor"
# The default colour depth if unspecified will be a pessimistic-but-safe
# driver-specific value.  State the depth explicitly once you know what works
# with the resolution you want and the video memory available.
    DefaultDepth 16
# If you omit a Display section, the driver will use the highest viable
# resolution (probably too high for comfort), and enable lots of odd lower
# resolutions that you won't want and will never use.  Ensure that the Depth
# setting matches the default above.
    SubSection	"Display"
	Depth	16
	Modes	"1280x1024" "1152x864" "1024x768" "800x600"
    EndSubSection
EndSection

Section "DRI"
    Mode	0666
EndSection
